#!/bin/sh

$SM_TOOLS/etc/grass_check.sh || exit 1

LIST=$(grep -E -v '^#' <<EOF
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.D008/run_n4_v6_6_20180502
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.D037/run_n4_v6_6_20180502
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.D066/run_n4_v6_6_20180502
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.D110/run_n4_v6_6_20180502
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.D139/run_n4_v6_6_20180502
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Medi.D168/run_n4_v6_6_20180502
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/ApulianTav_S1_A146/run_n4_v7_3_20181002
#/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/ApulianTav_S1_D124/run_n4_v7_3_20181002
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D007_MN03_RL3320/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D007_MN05_RL4150/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D008_MN02_RL3478/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D008_MN07_RL4480/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D021_MN06_RL3850/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D022_MN01_RL3820/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D022_MN03_RL3400/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D022_MN04_RL4550/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D036_MN02_RL3180/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D036_MN05_RL4000/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D037_MN03_RL3720/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D037_MN03_RL4550/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D051_MN03_RL3300/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D051_MN06_RL4400/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D052_MN05_RL4350/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D065_MN03_RL3220/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D065_MN03_RL3850/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D066_MN03_RL3720/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D066_MN03_RL4650/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D080_MN03_RL3320/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D080_MN04_RL4150/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D081_MN07_RL4350/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D094_MN03_RL3220/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D094_MN03_RL3850/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D095_MN04_RL3720/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D095_MN05_RL4650/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D109_MN02_RL3279/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D109_MN05_RL4000/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D110_MN03_RL3650/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D110_MN04_RL4480/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D124_MN02_RL3300/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D124_MN06_RL4400/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D125_MN05_RL4350/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D138_MN02_RL3180/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D138_MN03_RL3850/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D139_MN03_RL3720/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D139_MN03_RL4550/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D153_MN03_RL3200/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D153_MN03_RL4300/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D154_MN01_RL3475/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D154_MN06_RL4350/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D167_MN03_RL3220/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D167_MN03_RL3850/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D168_MN03_RL3720/run_n4_v7_3_20181120
#/ocean/SMOSAR/SMOSAR_Area_Med/Output_FD_mv_maps/Med_S1_D168_MN06_RL4650/run_n4_v7_3_20181120
/ocean/SMOSAR/S-1_SSM_RA/Output_P_SSM_maps/Remedhus.D154/STCD_run_n4_v1_2_20190330
EOF
)

set -e

g=$G_EASE2_SM

BB=$(mktemp -dq)
PROJ="+proj=cea +lon_0=0 +lat_ts=30 +x_0=0 +y_0=0 +no_defs +a=6378137 +rf=298.257223563 +to_meter=1"
for dir in $LIST
do
	T=$(echo $dir|cut -d\/ -f6|sed -e 's/\./_/'|sed -e 's/ApulianTav_S1/Medi/' -e 's/Med_S1/Medi/')
	echo $T
	MAP=$(ls $dir|head -1)
	gdaltindex -t_srs "$PROJ" $BB/bb.shp $dir/$MAP 
	ogrinfo -so -al $BB/bb.shp
	$g v.in.ogr in=$BB/bb.shp out=$T --o
	$g v.select ainput=SMAP_EASE2_36km_Global binput=$T atype=area btype=area output=smap_grid_36km_$T oper=intersects  --o
	$g v.select ainput=SMAP_EASE2_25km_Global binput=$T atype=area btype=area output=smap_grid_25km_$T oper=intersects  --o
	$g v.out.ogr in=smap_grid_36km_$T out=$SM_TOOLS_OUTPUTDIR/smap_grid_36km_${T}.shp type=area --o
	$g v.out.ogr in=smap_grid_25km_$T out=$SM_TOOLS_OUTPUTDIR/smap_grid_25km_${T}.shp type=area --o

	$g g.region vect=smap_grid_36km_${T} res=1000 -p
	eval $($g g.region -g|grep -E 'rows|cols')
	$g v.mkgrid grid=$rows,$cols pos=region map=smap_grid_1km_$T --o
	$g v.out.ogr in=smap_grid_1km_$T out=$SM_TOOLS_OUTPUTDIR/smap_grid_1km_${T}.shp type=area --o

	$g g.region vect=smap_grid_36km_${T} res=3000 -p
	eval $($g g.region -g|grep -E 'rows|cols')
	$g v.mkgrid grid=$rows,$cols pos=region map=smap_grid_3km_$T --o
	$g v.out.ogr in=smap_grid_3km_$T out=$SM_TOOLS_OUTPUTDIR/smap_grid_3km_${T}.shp type=area --o

	$g g.region vect=smap_grid_36km_${T} res=9000 -p
	eval $($g g.region -g|grep -E 'rows|cols')
	$g v.mkgrid grid=$rows,$cols pos=region map=smap_grid_9km_$T --o
	$g v.out.ogr in=smap_grid_9km_$T out=$SM_TOOLS_OUTPUTDIR/smap_grid_9km_${T}.shp type=area --o

	$g g.region vect=smap_grid_25km_${T} res=12500 -p
	eval $($g g.region -g|grep -E 'rows|cols')
	$g v.mkgrid grid=$rows,$cols pos=region map=smap_grid_12d5km_$T --o
	$g v.out.ogr in=smap_grid_12d5km_$T out=$SM_TOOLS_OUTPUTDIR/smap_grid_12d5km_${T}.shp type=area --o
	rm -rf $BB/bb.*
done

rm -rf $BB
