#!/bin/sh

cd $SM_TOOLS/streams_crossing/results

for f in $(ls LAI_*_spain_fields_4ha_lc_stats.txt)
do
	n=$(basename $f .txt)
	h="$(head -n +1 $f)|div|clim|clim_div"
	echo $h >${n}_extended.txt
	for l in $(tail -n +2 $f|sed -e 's/ /_/g')
	do
		cat=$(echo $l|cut -d\| -f1)
		div=$(grep -E "^$cat\s" ../spain_laiarea_fields_4ha_landcover_div.txt|cut -f2)
		clim=$(grep -E "^$cat\s" ../spain_laiarea_fields_4ha_climatic_cat.txt|cut -f2)
		clim_div=$(grep -E "^$cat\s" ../spain_laiarea_fields_4ha_climatic_div.txt|cut -f2)
		echo "$l|$div|$clim|$clim_div" | sed -e 's/_/ /g' >>${n}_extended.txt
	done &
done
